import { SimpleLocalIntegration } from '../../core/index.js';
import { BluemaestroConfigFlow } from './bluemaestro.classes.configflow.js';
import { createBluemaestroDiscoveryDescriptor } from './bluemaestro.discovery.js';
import type { IBluemaestroConfig } from './bluemaestro.types.js';
import { bluemaestroDomain, bluemaestroProfile } from './bluemaestro.types.js';

export class BluemaestroIntegration extends SimpleLocalIntegration<IBluemaestroConfig> {
  public readonly domain = bluemaestroDomain;
  public readonly discoveryDescriptor = createBluemaestroDiscoveryDescriptor();
  public readonly configFlow = new BluemaestroConfigFlow();

  constructor() {
    super(bluemaestroProfile);
  }
}

export class HomeAssistantBluemaestroIntegration extends BluemaestroIntegration {}
